Resource Center/Hardware/SAN Storage Operations/iSCSI Server Operations
POSTiSCSI Server OperationsSince 3.0.0SynchronousAuth Required
AttachIscsiServerToCluster
AttachIscsiServerToCluster
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe iSCSI server UUID.
clusterUuidStringRequiredThe cluster UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/clusters/{clusterUuid}/storage-devices/iscsi/servers/{uuid}
/zstack/v1/clusters/{clusterUuid}/storage-devices/iscsi/servers/{uuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/clusters/{clusterUuid}/storage-devices/iscsi/servers/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "a3d69cbb4ccc35f49354f34b9a52833d", "name": "iscsi-server-10.0.0.201", "ip": "10.0.0.201", "port": 3260.0, "chapUserName": "username", "chapUserPassword": "password", "state": "Enabled", "iscsiTargets": [ { "iscsiServerUuid": "a3d69cbb4ccc35f49354f34b9a52833d", "uuid": "0a0f4da9f2ba3fddac178737e11cef73", "iqn": "iqn.2018-01.io.zstack:tsn.00001", "state": "Enabled", "iscsiLuns": [ { "uuid": "f63e921f951435ee9d18901b8eccf986", "iscsiTargetUuid": "0a0f4da9f2ba3fddac178737e11cef73", "wwid": "36b083fe000daf018000015505abbe00a", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6b083fe000daf018", "serial": "6b083fe000daf018000015505abbe00a", "hctl": "6:0:1:1", "type": "mpath", "path": "ip-0.0.0.201:3260-iscsi-iqn.2018-01.io.zstack:tsn.00001-lun-0", "size": 3.000318820352E13, "multipathDeviceUuid": "36b083fe000daf018000015505abbe00a" } ], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "iscsiClusterRefs": [ { "id": 1.0, "iscsiServerUuid": "a3d69cbb4ccc35f49354f34b9a52833d", "clusterUuid": "962af991872e3ac98a2c4a7385f92541", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
